Name:           cargo-c
Version:        0.7.0
%define subrel  1
Release:        %mkrel 1
Summary:        Build and install C-compatible libraries
Group:          Development/Other
License:        MIT
URL:            https://crates.io/crates/cargo-c
Source0:        https://github.com/lu-zero/cargo-c/archive/v%{version}/%{name}-%{version}.tar.gz
Source1:        %{name}-cargo-vendor-%{version}.tar.xz
Source2:        cargo.config

# Packing script
Source100:      pack-cargo-vendor.sh

BuildRequires:  cargo
BuildRequires:  pkgconfig(openssl)

%description
cargo applet to build and install C-ABI compatibile dynamic and static
libraries.

It produces and installs a correct pkg-config file, a static library and
a dynamic library, and a C header to be used by any C (and C-compatible)
software.

%prep
%autosetup -a1

%build
%__mkdir .cargo
%__cp %{S:2} .cargo/config

cargo build

%install
%__mkdir_p %{buildroot}%{_bindir}
%__cp target/debug/*capi %{buildroot}%{_bindir}/
%__cp target/debug/*cbuild %{buildroot}%{_bindir}/
%__cp target/debug/*cinstall %{buildroot}%{_bindir}/

%files
%license LICENSE
%doc README.md
%{_bindir}/cargo-capi
%{_bindir}/cargo-cbuild
%{_bindir}/cargo-cinstall


%changelog
* Mon May 31 2021 akien <akien> 0.7.0-1.1.mga8
+ Revision: 1729021
- Rebuild for rust 1.52.1 (security) (mga#29033)

* Wed Dec 30 2020 kekepower <kekepower> 0.7.0-1.mga8
+ Revision: 1665588
- Update to version 0.7.0

* Mon Nov 23 2020 kekepower <kekepower> 0.6.18-1.mga8
+ Revision: 1648781
- Update to version 0.6.18

* Wed Oct 14 2020 kekepower <kekepower> 0.6.15-1.mga8
+ Revision: 1635915
- Update to version 0.6.15

* Tue Oct 13 2020 kekepower <kekepower> 0.6.14-1.mga8
+ Revision: 1635502
- Update to version 0.6.14

* Fri Sep 25 2020 kekepower <kekepower> 0.6.13-1.mga8
+ Revision: 1630076
- Update to version 0.6.13

* Mon Aug 31 2020 kekepower <kekepower> 0.6.12-1.mga8
+ Revision: 1620302
- imported package cargo-c

